List Term Sets

Get a pageable list of term sets with all their associated terms and domains. The search filter searches the term set context and term text fields.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional>=1Defaults to 1

Page number (1-based)

page_sizeintegerOptional1-100Defaults to 20
Number of items per page
search_termstring or nullOptional
Optional search term to filter term sets
domain_idslist of strings or nullOptional

Optional domain filter (any of these domains)

has_contextboolean or nullOptional

Filter by whether the term set has non-empty context. True returns only rules with conditional/contextual context; False returns only rules that apply universally.

Response

Successful Response
term_setslist of objects
total_countinteger
total_unfiltered_term_setsinteger
pageinteger
page_sizeinteger
total_pagesinteger

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error